Lexer

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.parser.java_cup
Class Lexer

    java.lang.Object
      weka.core.parser.java_cup.Lexer

All Implemented Interfaces:
  Scanner, sym

    public class Lexer

extends java.lang.Object
implements sym, Scanner

This class is a scanner generated by JFlex 1.3.5 on 7/05/08 11:31 from the specification file `file:/home/fracpete/temp/develop/flex/Lexer.jflex`

Field Summary
`static int` | `CODESEG` lexical states
`static int` | `YYEOF` This character denotes the end of file
`static int` | `YYINITIAL`

Fields inherited from interface weka.core.parser.java_cup.sym
`ACTION, action_code_part, BAR, CODE, code_part, code_parts, CODE_STRING, COLON, COLON_COLON_EQUALS, COMMA, declares_non_term, declares_term, DOT, empty, EOF, error, EXTENDS, GT, ID, IMPORT, import_id, import_list, import_spec, INIT, init_code, label_id, LBRACK, LEFT, LT, multipart_id, new_non_term_id, new_term_id, NON, non_term_name_list, non_terminal, NONASSOC, NONTERMINAL, nt_id, NT$0, NT$1, NT$10, NT$11, NT$12, NT$13, NT$2, NT$3, NT$4, NT$5, NT$6, NT$7, NT$8, NT$9, opt_label, opt_semi, PACKAGE, package_spec, PARSER, parser_code_part, PERCENT_PREC, preced, PRECEDENCE, precedence_l, precedence_list, prod_part, prod_part_list, production, production_list, QUESTION, RBRACK, rhs, rhs_list, RIGHT, robust_id, SCAN, scan_code, SEMI, spec, STAR, START, start_spec, SUPER, symbol, symbol_id, symbol_list, term_id, term_name_list, TERMINAL, terminal_id, terminal_list, type_id, typearglist, typearguement, wildcard, WITH`

Constructor Summary
`Lexer(ComplexSymbolFactory sf)`
`Lexer(java.io.InputStream in)` Creates a new scanner.
`Lexer(java.io.Reader in)` Creates a new scanner There is also a java.io.InputStream version of this constructor.

Method Summary
`Symbol` | `next_token()` Resumes scanning until the next regular expression is matched, the end of input is encountered or an I/O-Error occurs.
`Symbol` | `symbol(java.lang.String name, int code)`
`Symbol` | `symbol(java.lang.String name, int code, java.lang.String lexem)`
`void` | `yybegin(int newState)` Enters a new lexical state
`char` | `yycharat(int pos)` Returns the character at position `pos` from the matched text.
`void` | `yyclose()` Closes the input stream.
`int` | `yylength()` Returns the length of the matched text region.
`void` | `yyreset(java.io.Reader reader)` Closes the current stream, and resets the scanner to read from a new input stream.
`int` | `yystate()` Returns the current lexical state.
`java.lang.String` | `yytext()` Returns the text matched by the current regular expression.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### YYEOF

    public static final int YYEOF

  This character denotes the end of file

  See Also:
    Constant Field Values

### CODESEG

    public static final int CODESEG

  lexical states

  See Also:
    Constant Field Values

### YYINITIAL

    public static final int YYINITIAL

See Also:
  Constant Field Values

Constructor Detail

### Lexer

    public Lexer(ComplexSymbolFactory sf)

### Lexer

    public Lexer(java.io.Reader in)

  Creates a new scanner There is also a java.io.InputStream version of this constructor.

  Parameters:
    `in` - the java.io.Reader to read input from.

### Lexer

    public Lexer(java.io.InputStream in)

  Creates a new scanner. There is also java.io.Reader version of this constructor.

  Parameters:
    `in` - the java.io.Inputstream to read input from.

Method Detail

### symbol

    public Symbol symbol(java.lang.String name,
                         int code)

### symbol

    public Symbol symbol(java.lang.String name,
                         int code,
                         java.lang.String lexem)

### yyclose

    public final void yyclose()
                       throws java.io.IOException

  Closes the input stream.

  Throws:
    `java.io.IOException`

### yyreset

    public final void yyreset(java.io.Reader reader)
                       throws java.io.IOException

  Closes the current stream, and resets the scanner to read from a new input stream. All internal variables are reset, the old input stream cannot be reused (internal buffer is discarded and lost). Lexical state is set to `YY_INITIAL`.

  Parameters:
    `reader` - the new input stream
  Throws:
    `java.io.IOException`

### yystate

    public final int yystate()

  Returns the current lexical state.

### yybegin

    public final void yybegin(int newState)

  Enters a new lexical state

  Parameters:
    `newState` - the new lexical state

### yytext

    public final java.lang.String yytext()

  Returns the text matched by the current regular expression.

### yycharat

    public final char yycharat(int pos)

  Returns the character at position `pos` from the matched text. It is equivalent to yytext().charAt(pos), but faster

  Parameters:
    `pos` - the position of the character to fetch. A value from 0 to yylength()-1.
  Returns:
    the character at position pos

### yylength

    public final int yylength()

  Returns the length of the matched text region.

### next_token

    public Symbol next_token()
                      throws java.io.IOException

  Resumes scanning until the next regular expression is matched, the end of input is encountered or an I/O-Error occurs.

  Specified by:
    `next_token` in interface `Scanner`
  Returns:
    the next token
  Throws:
    `java.io.IOException` - if any I/O-Error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD